For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
WebsiteStatusSupportDashboard
DocumentationAPI ReferenceMCPSDKsCLI (new)What's New?
DocumentationAPI ReferenceMCPSDKsCLI (new)What's New?
  • Assistants
    • GETList Assistants
    • POSTCreate Assistant
    • GETGet Assistant
    • DELDelete Assistant
    • PATCHUpdate Assistant
  • Squads
    • GETList Squads
    • POSTCreate Squad
    • GETGet Squad
    • DELDelete Squad
    • PATCHUpdate Squad
  • Calls
    • GETList Calls
    • POSTCreate Call
    • GETGet Call
    • DELDelete Call
    • PATCHUpdate Call
  • Chats
    • GETList Chats
    • POSTCreate Chat
    • GETGet Chat
    • DELDelete Chat
    • POSTCreate Chat (OpenAI Compatible)
  • Campaigns
    • GETList Campaigns
    • POSTCreate Campaign
    • GETGet Campaign
    • DELDelete Campaign
    • PATCHUpdate Campaign
  • Sessions
    • GETList Sessions
    • POSTCreate Session
    • GETGet Session
    • DELDelete Session
    • PATCHUpdate Session
  • Phone Numbers
    • GETList Phone Numbers
    • POSTCreate Phone Number
    • GETList Phone Numbers
    • GETGet Phone Number
    • DELDelete Phone Number
    • PATCHUpdate Phone Number
  • Tools
    • GETList Tools
    • POSTCreate Tool
    • GETGet Tool
    • DELDelete Tool
    • PATCHUpdate Tool
  • Files
    • GETList Files
    • POSTUpload File
    • GETGet File
    • DELDelete File
    • PATCHUpdate File
  • Structured Outputs
    • GETList Structured Outputs
    • POSTCreate Structured Output
    • GETGet Structured Output
    • DELDelete Structured Output
    • PATCHUpdate Structured Output
    • POSTRun Structured Output
  • Insight
    • GETGet Insights
    • POSTCreate Insight
    • GETGet Insight
    • DELDelete Insight
    • PATCHUpdate Insight
    • POSTRun Insight
    • POSTPreview Insight
  • Eval
    • GETList Evals
    • POSTCreate Eval
    • GETGet Eval
    • DELDelete Eval
    • PATCHUpdate Eval
    • GETGet Eval Run
    • DELDelete Eval Run
    • GETList Eval Runs
    • POSTCreate Eval Run
  • Observability Scorecard
    • GETGet Scorecard
    • DELDelete Scorecard
    • PATCHUpdate Scorecard
    • GETList Scorecards
    • POSTCreate Scorecard
  • Provider Resources
    • GETList Provider Resources
    • POSTCreate Provider Resource
    • GETGet Provider Resource
    • DELDelete Provider Resource
    • PATCHUpdate Provider Resource
  • Analytics
    • POSTCreate Analytics Queries
  • Webhooks
    • POSTServer Message
    • POSTClient Message
    • Swagger
    • OpenAPI
LogoLogo
WebsiteStatusSupportDashboard
Structured Outputs

List Structured Outputs

GET
https://api.vapi.ai/structured-output
GET
/structured-output
$curl https://api.vapi.ai/structured-output \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
200Retrieved
1{
2 "results": [
3 {
4 "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
5 "orgId": "org-9876543210",
6 "createdAt": "2024-01-15T09:30:00Z",
7 "updatedAt": "2024-01-15T09:30:00Z",
8 "name": "Customer SSN Extractor",
9 "schema": {
10 "type": "string",
11 "items": {},
12 "properties": {},
13 "description": "A string matching the US Social Security Number format.",
14 "pattern": "^\\d{3}-\\d{2}-\\d{4}$",
15 "format": "date-time",
16 "required": [
17 "ssn"
18 ],
19 "enum": [
20 "123-45-6789",
21 "987-65-4321"
22 ],
23 "title": "SSN Schema"
24 },
25 "type": "ai",
26 "regex": "\\d{3}-\\d{2}-\\d{4}",
27 "model": {
28 "provider": "openai",
29 "model": "gpt-5.4",
30 "temperature": 1.1,
31 "maxTokens": 5030
32 },
33 "compliancePlan": {
34 "forceStoreOnHipaaEnabled": false
35 },
36 "description": "Extracts Social Security Numbers from conversation transcripts for identity verification purposes.",
37 "assistantIds": [
38 "assistant-1234abcd"
39 ],
40 "workflowIds": [
41 "workflow-5678efgh"
42 ]
43 }
44 ],
45 "metadata": {
46 "itemsPerPage": 10,
47 "totalItems": 50,
48 "currentPage": 1,
49 "itemsBeyondRetention": false,
50 "createdAtLe": "2024-01-15T09:30:00Z",
51 "createdAtGe": "2023-12-01T00:00:00Z"
52 }
53}
Was this page helpful?
Previous

Create Structured Output

Next
Built with

Authentication

AuthorizationBearer

Retrieve your API Key from Dashboard.

Query parameters

idstringOptional
This will return structured outputs where the id matches the specified value.
namestringOptional
This will return structured outputs where the name matches the specified value.
pagedoubleOptional>=1
This is the page number to return. Defaults to 1.
sortOrderenumOptional
This is the sort order for pagination. Defaults to 'DESC'.
Allowed values:
limitdoubleOptional0-1000
This is the maximum number of items to return. Defaults to 100.
createdAtGtdatetimeOptional
This will return items where the createdAt is greater than the specified value.
createdAtLtdatetimeOptional
This will return items where the createdAt is less than the specified value.
createdAtGedatetimeOptional
This will return items where the createdAt is greater than or equal to the specified value.
createdAtLedatetimeOptional
This will return items where the createdAt is less than or equal to the specified value.
updatedAtGtdatetimeOptional
This will return items where the updatedAt is greater than the specified value.
updatedAtLtdatetimeOptional
This will return items where the updatedAt is less than the specified value.
updatedAtGedatetimeOptional
This will return items where the updatedAt is greater than or equal to the specified value.
updatedAtLedatetimeOptional
This will return items where the updatedAt is less than or equal to the specified value.

Response

resultslist of objects
metadataobject